// JavaScript Document
var web_doc_alias = '';
$(document).ready(function(){
	setupZoomModal('harbor');
	setupZoomModal('shipName');
	web_doc_alias = $('#web_doc_alias').val();
	
	$('#form_A920').validate({
		ignore: [], //type="hidden"項目のエラーチェックを可能とする
		rules : {
			inpPassNew : {
				required: true,
				maxlength : 12,
			},
			inpPassNewKakunin : {
				required: true,
				maxlength : 12,
				equalTo : '#inpPassNew'
			},
		},
		messages: {
			inpPassNew : {
				required: '必須入力です。',
				maxlength : '12桁以内で入力してください。',
			},
			inpPassNewKakunin : {
				required: '必須入力です。',
				maxlength : '12桁以内で入力してください。',
				equalTo: 'パスワードと入力内容が異なります。'
			},
		},
		errorClass: "formValidError",
		errorPlacement: function(error, element) {
			var parentObj = $(element).parent();
			parentObj.append(error);
			if(!$(error).hasClass('p-1')){ $(error).addClass('p-1'); }
		},
	});
	
	$('#btnUpdate').on('click',function(){
		if($('#form_A920').valid()){
			updateUserInfo('2');
		}
	});
});

function updateUserInfo(syoriKbn){
	var param = {
		'appname': nasiappname,
		'prgname':'A921',
		'param1': nasiappname,
		'param2': $('#ssid').val(),
		'param3': $('#inpPassNew').val(),
		'arguments':'param1,param2,param3'
	};
	var retXml = ajaxFunction(param);
	var kekka = $(retXml).find('ret').text();
	if(kekka === 'I001'){
		modalAlert('0','','新しいパスワードを設定しました。',callbackUserInfo);
	}
}

function callbackUserInfo(){
	$('#prgname').val('A010');
	$('#param1').val('0');
	$('#menuForm').submit();
}